Subject: Re: [Gen-art] Gen-ART review of draft-ietf-conex-tcp-modifications

From: Jari Arkko <[email-masked]>
Date: Thu, 1 Oct 2015 16:00:59 +0300

Many thanks for your review of this and the other draft, Ron!

Jari

On 08 Sep 2015, at 19:19, Ronald Bonica <[email-masked]> wrote:

> I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
> 
> Document:                                      draft-ietf-conex-tcp-modifications-09
> Reviewer:                                        Ron Bonica
> Review Date:                                  2015-09-07
> IETF LC End Date:                          2015-08-31
> IETF Telechat Date:                      2015-10-01
> 
> Summary:          This document will be ready for publication as soon as the major issue (below) below is addressed.
> 
> Major Issues:
> 
> This document contains a normative reference to draft-ietf-conex-destopt-09. The normative reference is appropriate, because this document doesn't work at all unless the concepts described in draft-ietf-conex-destopt-09 work.
> 
> I am concerned about draft-ietf-conex-destopt-09. It uses an IPv6 Destination Option to signal CONEX state to intermediate routers. However, according to RFC 2460:
> 
>   "With one exception, extension headers are not examined or processed
>   by any node along a packet's delivery path, until the packet reaches
>   the node (or each of the set of nodes, in the case of multicast)
>   identified in the Destination Address field of the IPv6 header."
> 
> The exception to which RFC 2460 refers is the Hop-by-hop Extension Header. Intermediate routers don't examine Destination Options.
> 
> Section 5 of draft-ietf-conex-destopt-09 attempts to address this issue, but I am not sure that the argument is acceptable.
> 
> Minor Issues: None
> 
> Editorial Issues:
> 
> 
> 
> 
> 
> 
> Ron Bonica
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art